libgtkglext-x11-1_0-0-1.2.0git20110529-17.2.i586.rpm


Advertisement

Description

libgtkglext-x11-1_0-0 - OpenGL Extension to GTK

Property Value
Distribution openSUSE Tumbleweed
Repository Education all
Package filename libgtkglext-x11-1_0-0-1.2.0git20110529-17.2.i586.rpm
Package name libgtkglext-x11-1_0-0
Package version 1.2.0git20110529
Package release 17.2
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://projects.gnome.org/gtkglext/
License LGPL-2.1-or-later
Maintainer -
Download size 125.28 KB
Installed size 697.03 KB
GtkGLExt is an OpenGL extension to GTK. It provides the GDK objects
that support OpenGL rendering in GTK and GtkWidget API add-ons, to make
GTK+ widgets OpenGL-capable.

Alternatives

Package Version Architecture Repository
libgtkglext-x11-1_0-0-1.2.0git20110529-19.17.x86_64.rpm 1.2.0git20110529 x86_64 GNOME Next
libgtkglext-x11-1_0-0-1.2.0git20110529-19.17.i586.rpm 1.2.0git20110529 i586 GNOME Next
libgtkglext-x11-1_0-0-1.2.0git20110529-17.2.x86_64.rpm 1.2.0git20110529 x86_64 Education
libgtkglext-x11-1_0-0-1.2.0git20110529-16.13.x86_64.rpm 1.2.0git20110529 x86_64 GNOME Factory
libgtkglext-x11-1_0-0-1.2.0git20110529-16.13.i586.rpm 1.2.0git20110529 i586 GNOME Factory
libgtkglext-x11-1_0-0-1.2.0git20110529-7.3.x86_64.rpm 1.2.0git20110529 x86_64 openSUSE Oss
libgtkglext-x11-1_0-0-1.2.0git20110529-7.3.i586.rpm 1.2.0git20110529 i586 openSUSE Oss
libgtkglext-x11-1_0-0 - - -

Requires

Name Value
/sbin/ldconfig -
libGL.so.1 -
libc.so.6(GLIBC_2.4) -
libgdk-x11-2.0.so.0 -
libglib-2.0.so.0 -
libgobject-2.0.so.0 -
libgtk-x11-2.0.so.0 -

Provides

Name Value
gtkglext = 1.2.0git20110529
libgdkglext-x11-1.0.so.0 -
libgtkglext-x11-1.0.so.0 -
libgtkglext-x11-1_0-0 = 1.2.0git20110529-17.2
libgtkglext-x11-1_0-0(x86-32) = 1.2.0git20110529-17.2

Obsoletes

Name Value
gtkglext < 1.2.0git20110529

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libgtkglext-x11-1_0-0-1.2.0git20110529-17.2.i586.rpm
Source Package gtkglext-1.2.0git20110529-17.2.src.rpm

Install Howto

  1. Add the Education repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/Education/openSUSE_Tumbleweed/ education
  2. Install libgtkglext-x11-1_0-0 rpm package:
    # zypper install libgtkglext-x11-1_0-0

Files

Path
/usr/lib/libgdkglext-x11-1.0.so.0
/usr/lib/libgdkglext-x11-1.0.so.0.200.0
/usr/lib/libgtkglext-x11-1.0.so.0
/usr/lib/libgtkglext-x11-1.0.so.0.200.0
/usr/share/doc/packages/libgtkglext-x11-1_0-0/AUTHORS
/usr/share/doc/packages/libgtkglext-x11-1_0-0/README
/usr/share/doc/packages/libgtkglext-x11-1_0-0/TODO
/usr/share/licenses/libgtkglext-x11-1_0-0/COPYING

Changelog

2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2017-06-29 - jengelh@inai.de
- Fix RPM groups and remove redundant %clean section.
2013-01-09 - dmitry_r@opensuse.org
- -Reintroduce gtkglext and Update to git-20110529 (bnc#799544):
* no longer depends on pangox
- NOTE: gtkglext is unmaintained and provided as-is for 3rd party
packages only. Nothing inside openSUSE is supposed to use it.
2012-02-19 - coolo@suse.com
- Add more explicit requires of devel package: the pkgconfig
file references some libraries in Libs (and not Requires), so we
need to depend on them.
2011-12-22 - vuntz@opensuse.org
- Explicitly list files we package.
2010-10-11 - vuntz@opensuse.org
- Update packaging to use the shared library packaging policy:
+ Create libgtkglext-x11-1_0-0 subpackage.
+ Add Provides/Obsoletes for gtkglext to libgtkglext-x11-1_0-0.
+ Update baselibs.conf accordingly.
2010-07-05 - vuntz@opensuse.org
- Add gtkglext-no-deprecated-flags.patch to not build gtkglext with
the *_DISABLE_DEPRECATED flags. This makes the build more robust
when some API is marked as deprecated. Unfortunately, without
this, the gtkglext library is looking for unknown symbols that
should actually be macros at build time. Fix bnc#617677.
- Drop gtkglext-gtk_widget_toplevel.patch: this is not needed
anymore thanks to gtkglext-no-deprecated-flags.patch.
2010-03-04 - dimstar@opensuse.org
- Add gtkglext-gtk_widget_toplevel.patch to drop deprecated usage
of GTK_WIDGET_TOPLEVEL, bnc#585137, bgo#611803, reported and
patched by Guillermo Ballester Valor.
- Clean spec file.
2009-12-19 - jengelh@medozas.de
- Add baselibs.conf as a source
2008-07-09 - crrodriguez@suse.de
- missing Mesa-devel dependency on -devel package causes
python-gtkglext build faliure

See Also

Package Description
libgtkglext-x11-1_0-0-32bit-1.2.0git20110529-17.2.x86_64.rpm OpenGL Extension to GTK
libhydrogen-core-devel-0.9.9pre1-2.2.i586.rpm Development files and headers for libhydrogen-core
libhydrogen-core-devel-0.9.9pre1-2.2.x86_64.rpm Development files and headers for libhydrogen-core
libhydrogen-core1-0.9.9pre1-2.2.i586.rpm Library essential for the hydrogen drum machine software
libhydrogen-core1-0.9.9pre1-2.2.x86_64.rpm Library essential for the hydrogen drum machine software
libinchi0-2.4.1-20.18.i586.rpm Component library of Open Babel, a chemistry toolbox
libinchi0-2.4.1-20.18.x86_64.rpm Component library of Open Babel, a chemistry toolbox
libiniparser-devel-4.1-2.4.i586.rpm Libraries and Header Files to Develop Programs with libiniparser Support
libiniparser-devel-4.1-2.4.x86_64.rpm Libraries and Header Files to Develop Programs with libiniparser Support
libiniparser1-32bit-4.1-2.4.x86_64.rpm Library to parse ini files
libiniparser1-4.1-2.4.i586.rpm Library to parse ini files
libiniparser1-4.1-2.4.x86_64.rpm Library to parse ini files
libinotifytools-devel-3.14-4.64.i586.rpm Development files for inotify
libinotifytools-devel-3.14-4.64.x86_64.rpm Development files for inotify
libinotifytools0-3.14-4.64.i586.rpm Library for inotify
Advertisement
Advertisement